<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/container"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/bg_shape_space_radius_8">

    <TextView
        android:id="@+id/tv_name"
        style="@style/TextCaption1"
        android:layout_width="0dp"
        android:layout_height="32dp"
        android:layout_centerHorizontal="true"
        android:layout_marginHorizontal="8dp"
        android:ellipsize="end"
        android:gravity="center"
        android:maxLines="1"
        android:singleLine="true"
        android:textColor="@color/text_primary"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="最多五个字" />


    <ImageView
        android:id="@+id/recommendIv"
        android:layout_width="16dp"
        android:layout_height="12dp"
        android:src="@drawable/ic_category_recommend"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible" />
</androidx.constraintlayout.widget.ConstraintLayout>